Bug 582255 - <indexterm> is not translatable when outside of <para>
<indexterm> is not translatable when outside of <para>
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-14 09:57 EDT by Raphaël Hertzog
Modified: 2010-11-23 23:20 EST (History)
5 users (show)

See Also:
Fixed In Version: publican-1.6.3-0.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-17 14:57:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Raphaël Hertzog 2010-04-14 09:57:22 EDT
I have many <indexterm> at the beginning of sections or sidebar, just before the first <para> and they are not included in the POT files while they should IMO.

<sidebar>
<title>The title</title>
<indexterm><primary>keyword1</primary></indexterm>
<indexterm><primary>keyword2</primary></indexterm>
<para>
...
</para>
</sidebar>
Comment 1 Jeff Fearn 2010-04-14 20:51:37 EDT
The code that determines if a translatable tag should be separate or inline, IGNOREBLOCKS, was changed to only ignore blocking if the block is inside a translatable tag.
Comment 2 Ruediger Landmann 2010-05-06 00:59:58 EDT
Confirmed that <indexterms> appear in the POT and PO files even when outside paras in version 1.6.3.t122
Comment 3 jito 2010-05-11 18:36:42 EDT
<indexterms> tags do not appear in the test PO file.
Comment 4 jito 2010-05-11 23:50:33 EDT
Further to the comment above, there are entries in the PO files that correspond to <indexterm> tags even though these tags do not appear on the files:

#. Tag: indexterm
#, no-c-format
msgid "<primary>text elements</primary><secondary>basic</secondary>"
msgstr ""
Comment 5 Fedora Update System 2010-05-13 18:20:49 EDT
publican-1.6.3-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc13
Comment 6 Fedora Update System 2010-05-13 18:22:05 EDT
publican-1.6.3-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc12
Comment 7 Fedora Update System 2010-05-15 16:36:29 EDT
publican-1.6.3-0.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update publican'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc12
Comment 8 Fedora Update System 2010-05-15 16:45:43 EDT
publican-1.6.3-0.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update publican'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc13
Comment 9 Fedora Update System 2010-05-17 14:55:46 EDT
publican-1.6.3-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-05-17 14:59:35 EDT
publican-1.6.3-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.